var express = require("express");
var shipmentController = require("../controllers/shipmentController");
var requireLogin = require("../middleware/authMiddleware");
var router = express.Router();

router.post("/", requireLogin, shipmentController.createShipment);
router.get("/", requireLogin, shipmentController.getShipments);
router.put("/:id", requireLogin, shipmentController.updateShipment);
router.delete("/:id", requireLogin, shipmentController.deleteShipment);

module.exports = router;
